#!/bin/bash

if [ $# -ne 5 ]
then
	echo "Enter root, experiment, output folder, startPos and endPos !"
else
	root=$1
	expName=$2
	analysis=$3
	startPos=$4
	endPos=$5
#	positions=(10 14 79 152 195 217 247 281 291 361 538 568 575)
#	positions=(25 40 61 83 123 142 166 206 277 362 478 488 540 547 562)
	positions=(96 109 167 249 256 296 356 384 387 395 406 428 434 441 442 490 549 573)
        for (( b=1; b <=${#positions[@]} ; b=b+1))
                do
                        a=${positions[$b-1]}
                        echo ${a}
                        perl -p -e s#replaceMain#$root#g < mainInput60f > pipe.$expName.$a
                        perl -p -i -e s#replaceExp#$expName#g pipe.$expName.$a
                        perl -p -i -e s#replaceSC#$analysis#g pipe.$expName.$a
                        perl -p -i -e s#replacePos#$a#g pipe.$expName.$a
                        perl -pe s#inputfile#pipe.$expName.$a#g  < pbsRun > run.$expName.$a
                        perl -p -i -e s#outputfile#out.$expName.$a.log#g  run.$expName.$a
                        qsub run.$expName.$a
                done
fi

