% makeSwitchData.m


%% HB data

mainDir = 'S:\denervaud\HB_data';
%mainDir = '//lbnc-3/denervaud/CL_data';

% 1. TL_20121116
expDir = fullfile(mainDir,'HB_20121116');
switchData.date = [20121116; 20121116; 20121116; 20121116];
switchData.time = [11 47 00; 12 00 00; 14 00 00; 14 20 00];
switchData.condition = {'sc'; 'UV'; 'sc'; 'UV';'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');


%% CL data

mainDir = 'S:\denervaud\CL_data';
%mainDir = '//lbnc-3/denervaud/CL_data';

% 1. TL_20100206
expDir = fullfile(mainDir,'CL_20121106');
switchData.date = [20121107; 20121107];
switchData.time = [17 29 10; 18 29 32];
switchData.condition = {'sc'; 'stress'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 2. TL_20100209
expDir = fullfile(mainDir,'CL_20121109');
switchData.date = [20121109; 20121109];
switchData.time = [16 00 00; 17 00 00];
switchData.condition = {'sc'; 'UV'};
save(fullfile(expDir,'switchData.mat'),'switchData');


%% YGFP data

mainDir = 'S:\denervaud\YGFP_data';
%mainDir = '//lbnc-3/denervaud/YGFP_data';


% 1. TL_20100206
expDir = fullfile(mainDir,'TL_20100206');
switchData.date = [20100207; 20100207];
switchData.time = [13 48 21; 19 48 59];
switchData.condition = {'sc'; 'MMS'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 2. TL_20100208
expDir = fullfile(mainDir,'TL_20100208');
switchData.date = [20100209; 20100209];
switchData.time = [11 52 00;	17 52 28];
switchData.condition = {'sc'; 'MMS'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 3. TL_20100226
expDir = fullfile(mainDir,'TL_20100226');
switchData.date = [20100227; 20100227];
switchData.time = [15 21 57;	21 22 25];
switchData.condition = {'sc'; 'MMS'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 4. TL_20100316
expDir = fullfile(mainDir,'TL_20100316');
switchData.date = [20100317; 20100317];
switchData.time = [11 46 52;	19 47 26];
switchData.condition = {'sc'; 'MMS'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 5. TL_20100301
expDir = fullfile(mainDir,'TL_20100301');
switchData.date = [20100302; 20100302];
switchData.time = [12 11 50;	18 12 18];
switchData.condition = {'sc'; 'MMS'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 6. TL_20100407
expDir = fullfile(mainDir,'TL_20100407');
switchData.date = [20100408; 20100409];
switchData.time = [20 24 24;	2 24 52];
switchData.condition = {'sc'; 'MMS'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 7. TL_20100525
expDir = fullfile(mainDir,'TL_20100525');
switchData.date = [20100526; 20100526];
switchData.time = [15 40 09;	21 40 37];
switchData.condition = {'sc'; 'MMS'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 8. TL_20100603
expDir = fullfile(mainDir,'TL_20100603');
switchData.date = [20100604; 20100604];
switchData.time = [13 52 18;	19 52 46];
switchData.condition = {'sc'; 'MMS'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 9. TL_20100805
expDir = fullfile(mainDir,'TL_20100805');
switchData.date = [20100806; 20100806];
switchData.time = [14 03 23;	20 03 51];
switchData.condition = {'sc'; 'MMS'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 10. TL_20100812
expDir = fullfile(mainDir,'TL_20100812');
switchData.date = [20100813; 20100813];
switchData.time = [10 45 36; 16 46 04];
switchData.condition = {'sc'; 'MMS'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 11. TL_20100818
expDir = fullfile(mainDir,'TL_20100818');
switchData.date = [20100818; 20100818];
switchData.time = [15 25 53; 23 26 27];
switchData.condition = {'sc'; 'low MMS'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 12. TL_20100823
expDir = fullfile(mainDir,'TL_20100823');
switchData.date = [20100824; 20100824];
switchData.time = [14 55 12; 20 55 40];
switchData.condition = {'sc'; 'low MMS'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 13. TL_20100826
expDir = fullfile(mainDir,'TL_20100826');
switchData.date = [20100827; 20100827];
switchData.time = [11 17 24; 17 17 52];
switchData.condition = {'sc'; 'H2O2'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 14. TL_20100901
expDir = fullfile(mainDir,'TL_20100901');
switchData.date = [20100902; 20100903; 20100903];
switchData.time = [21 59 13; 3 59 41; 12 00 05];
switchData.condition = {'sc'; 'sorbitol'; 'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 15. TL_20100915
expDir = fullfile(mainDir,'TL_20100915');
switchData.date = [20100916; 20100916; 20100917];
switchData.time = [10 45 33; 16 46 01; 0 46 25];
switchData.condition = {'sc'; 'sorbitol'; 'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 16. TL_20100922
expDir = fullfile(mainDir,'TL_20100922');
switchData.date = [20100923; 20100924; 20100924; 20100924; 20100924; 20100924; 20100924];
switchData.time = [18 27 08; 1 00 00; 1 10 00; 7 00 00; 7 30 00; 13 00 00; 14 00 00];
switchData.condition = {'sc'; 'UV'; 'sc'; 'UV'; 'sc'; 'UV'; 'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 17. TL_20100929
expDir = fullfile(mainDir,'TL_20100929');
switchData.date = [20100930; 20100930];
switchData.time = [16 48 15; 22 48 54];
switchData.condition = {'sc'; 'H2O2'};
save(fullfile(expDir,'switchData.mat'),'switchData');
		
% 18. TL_20101001
expDir = fullfile(mainDir,'TL_20101001');
switchData.date = [20101002; 20101002; 20101002; 20101003; 20101003; 20101003; 20101003];
switchData.time = [15 42 26; 22 00 00; 22 10 00; 4 00 00; 4 30 00; 10 00 00; 11 00 00];
switchData.condition = {'sc'; 'UV'; 'sc'; 'UV'; 'sc'; 'UV'; 'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');
		
% 19. TL_20101006
expDir = fullfile(mainDir,'TL_20101006');
switchData.date = [20101007; 20101007; 20101007; 20101008; 20101008; 20101008; 20101008];
switchData.time = [14 48 14; 20 48 42; 21 08 43; 3 09 01; 3 49 03; 9 49 21; 11 09 25];
switchData.condition = {'sc'; 'MMS'; 'sc'; 'MMS'; 'sc'; 'MMS'; 'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');
		
% 20. TL_20101008
expDir = fullfile(mainDir,'TL_20101008');
switchData.date = [20101009; 20101009; 20101009; 20101010; 20101010; 20101010; 20101010];
switchData.time = [16 22 57; 22 23 25; 22 43 26; 4 43 44; 5 23 46; 11 24 04; 12 44 08];
switchData.condition = {'sc'; 'MMS'; 'sc'; 'MMS'; 'sc'; 'MMS'; 'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 21. AF_BY4741 
expDir = fullfile(mainDir,'AF_BY4741');
switchData.date = [20110210; 20110210];
switchData.time = [11 43 01; 19 43 46];
switchData.condition = {'sc'; 'MMS'};
save(fullfile(expDir,'switchData.mat'),'switchData');
 
% 22. HF_CDC10
expDir = fullfile(mainDir,'HF_CDC10');
switchData.date = [20110209; 20110210; 20110210];
switchData.time = [18 52 02; 2 52 53; 10 53 32];
switchData.condition = {'sc'; 'MMS'; 'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');
 
% 23. fluoresceinControl
expDir = fullfile(mainDir,'fluoresceinControl');
switchData.date = [20110303];
switchData.time = [14 00 00];
switchData.condition = {'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 24. RPL8AControl
expDir = fullfile(mainDir,'RPL8AControl');
switchData.date = [20110303];
switchData.time = [14 00 00];
switchData.condition = {'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 25. RPL8AControl_2
expDir = fullfile(mainDir,'RPL8AControl_2');
switchData.date = [20110325];
switchData.time = [12 00 00];
switchData.condition = {'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 26. AF_TAP_BY4741 
expDir = fullfile(mainDir,'AF_TAP_BY4741');
switchData.date = [20110325; 20110325; 20110326; 20110326; 20110326; 20110327; 20110327; 20110327; 20110327; ];
switchData.time = [16 14 00; 22 14 38; 5 15 00; 11 35 19; 18 55 40; 1 15 59; 8 31 43; 14 52 02; 22 12 23];
switchData.condition = {'sc'; 'MMS'; 'sc'; 'MMS'; 'sc'; 'MMS'; 'sc'; 'MMS'; 'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 27. TL_20110509
expDir = fullfile(mainDir,'TL_20110509');
switchData.date = [20110510; 20110510; 20110511];
switchData.time = [15 49 16; 21 50 04; 9 50 40];
switchData.condition = {'sc'; '1M sorbitol'; 'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 28. TL_20110517
expDir = fullfile(mainDir,'TL_20110517');
switchData.date = [20110518; 20110518; 20110519];
switchData.time = [14 33 10; 20 33 48; 8 34 25];
switchData.condition = {'sc'; '1mM Menadione'; 'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 29. TL_20110519
expDir = fullfile(mainDir,'TL_20110519');
switchData.date = [20110520; 20110520; 20110521];
switchData.time = [13 38 40; 19 39 18; 7 39 55];
switchData.condition = {'sc'; '1mM Menadione'; 'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 30. TL_20110524
expDir = fullfile(mainDir,'TL_20110524');
switchData.date = [20110525; 20110525; 20110525; 20110526; 20110526; 20110526; 20110526];
switchData.time = [14 44 57; 20 45 35; 22 25 40;  4 46 00;  6 26 05; 12 46 24; 14 26 29];
switchData.condition = {'sc';   'MMS';     'sc';    'MMS';     'sc';    'MMS';     'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 31. TL_20110630
expDir = fullfile(mainDir,'TL_20110630');
switchData.date =      [20110701; 20110701; 20110702; 20110702;];
switchData.time =      [21 15 00;  21 35 00;  7 55 00; 18 45 00;];
switchData.condition = {'2.5psi';   '5psi';  '10psi'; '2.5psi';};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 32. TL_20110705
expDir = fullfile(mainDir,'TL_20110705');
switchData.date =      [20110707; 20110707; 20110708; 20110708;];
switchData.time =      [17 33 42;  18 34 05;  6 34 42;  7 54 45;];
switchData.condition = {'sc';  '2.5mM DTT';     'sc'; '2.5mM DTT';};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 33. TL_20110714
expDir = fullfile(mainDir,'TL_20110714');
switchData.date =      [20110715; 20110715; 20110716;];
switchData.time =      [16 41 05; 17 42 21;  5 59 31;];
switchData.condition = {'sc';  '2.5mM DTT';     'sc';};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 34. TL_20110725
expDir = fullfile(mainDir,'TL_20110725');
switchData.date =      [20110727; 20110727; 20110728;];
switchData.time =      [14 24 14; 15 24 53;  3 32 54;];
switchData.condition = {'sc';  '2.5mM DTT';     'sc';};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 35. TL_20110728
expDir = fullfile(mainDir,'TL_20110728');
switchData.date =      [20110729; 20110729; 20110730;];
switchData.time =      [14 57 57; 15 58 22;  4  6 12;];
switchData.condition = {'sc';  '2.5mM DTT';     'sc';};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 36. TL_20120922
expDir = fullfile(mainDir,'TL_20120922');
switchData.date =      [20120923; 20120923; 20120923;];
switchData.time =      [10 53 20; 11 54 09;  18 59 55;];
switchData.condition = {'sc';  '0.2M HU';     'sc';};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 37. TL_20121024
expDir = fullfile(mainDir,'TL_20121024');
switchData.date =      [20121024; 20121024;];
switchData.time =      [11 11 38; 12 12 23;];
switchData.condition = {'sc';  '0.2M HU';};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 38. TL_20121025
expDir = fullfile(mainDir,'TL_20121025');
switchData.date =      [20121024; 20121024;];
switchData.time =      [19 51 20; 20 52 05;];
switchData.condition = {'sc';  '0.2M HU';};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 39. TL_20121030
expDir = fullfile(mainDir,'TL_20121030');
switchData.date =      [20121031; 20121031;];
switchData.time =      [18 13 40; 19 14 24;];
switchData.condition = {'sc';  '0 glucose';};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 40. DS_20121211
expDir = fullfile(mainDir,'DS_20121211');
switchData.date = [20121211; 20121211; 20121211; 20121212; 20121212; 20121212; 20121212];
switchData.time = [16 01 00; 19 00 00; 19 10 00; 1 00 00; 1 30 00; 7 00 00; 8 00 00];
switchData.condition = {'sc'; 'UV'; 'sc'; 'UV'; 'sc'; 'UV'; 'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 41. DS_20121214
expDir = fullfile(mainDir,'DS_20121214');
switchData.date = [20121214; 20121214; 20121214; 20121214; 20121215; 20121215; 20121215];
switchData.time = [14 30 00; 17 30 00; 17 40 00; 23 30 00; 0 00 00; 5 30 00; 6 30 00];
switchData.condition = {'sc'; 'UV'; 'sc'; 'UV'; 'sc'; 'UV'; 'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 42. DS_20121215
expDir = fullfile(mainDir,'DS_20130405');
switchData.date = [20130405; 20130405; 20130405];
switchData.time = [14 31 00; 15 00 00; 15 30 00];
switchData.condition = {'sc'; 'UV'; 'sc'};
save(fullfile(expDir,'switchData.mat'),'switchData');

%% PA data

mainDir = 'R:\denervaud\PA_data';
%mainDir = '//lbnc-4/denervaud/PA_data';

% 1. PA_20120613
expDir = fullfile(mainDir,'PA_20120613');
switchData.date = [20120613; 20120613; 20120614];
switchData.time = [14 54 34; 16 55 26;  4 56 38];
switchData.condition = {'+Pi'; '-Pi'; '+Pi'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 2. PA_20120703
expDir = fullfile(mainDir,'PA_20120703');
switchData.date = [20120704; 20120704];
switchData.time = [19 30 01; 23 31 16];
switchData.condition = {'+Pi'; '-Pi'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 3. PA_20120718
expDir = fullfile(mainDir,'PA_20120718');
switchData.date = [20120719; 20120719];
switchData.time = [18 30 51; 19 37 41];
switchData.condition = {'+Pi'; '-Pi'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 4. HF_PHO_20120719
expDir = fullfile(mainDir,'HF_PHO_20120719');
switchData.date = [20120720; 20120720];
switchData.time = [16 24 28; 17 25 35];
switchData.condition = {'+Pi'; '-Pi'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 5. PA_20120803
expDir = fullfile(mainDir,'PA_20120803');
switchData.date = [20120803; 20120803];
switchData.time = [16 50 32; 17 57 01];
switchData.condition = {'+Pi'; '-Pi'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 6. PA_20120808
expDir = fullfile(mainDir,'PA_20120808');
switchData.date = [20120809; 20120809];
switchData.time = [11 53 09; 12 59 40];
switchData.condition = {'+Pi'; '-Pi'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 7. PA_20121026
expDir = fullfile(mainDir,'PA_20121026');
switchData.date = [20121026; 20121026];
switchData.time = [11 58 02; 13 04 19];
switchData.condition = {'+Pi'; '-Pi'};
save(fullfile(expDir,'switchData.mat'),'switchData');


%% RP data

mainDir = 'R:\denervaud\RP_data';
%mainDir = '//lbnc-4/denervaud/RP_data';

% 1. RP_20110331_chip1
expDir = fullfile(mainDir,'RP_20110331_chip1');
switchData.date = [20110331; 20110331; 20110401];
switchData.time = [14 29 44; 16 30 30; 4 31 07];
switchData.condition = {'2% Glu'; '0.2% Glu'; '2% Glu'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 2. RP_20120208
expDir = fullfile(mainDir,'RP_20120208');
switchData.date = [20120209; 20120209; 20120210];
switchData.time = [13 27 06; 21 27 43; 6 27 51];
switchData.condition = {'2% Glu'; 'switch'; '2% Glu'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% 3. RP_20120224
expDir = fullfile(mainDir,'RP_20120224');
switchData.date = [20120224; 20120225];
switchData.time = [18 03 00; 02 04 00];
switchData.condition = {'2% Glu'; 'switch'};
save(fullfile(expDir,'switchData.mat'),'switchData');

% test: RP_20120611
expDir = fullfile(mainDir,'RP_20120611');
switchData.date = [20120224; 20120225];
switchData.time = [18 03 00; 02 04 00];
switchData.condition = {'2% Glu'; 'switch'};
save(fullfile(expDir,'switchData.mat'),'switchData');




