function z = nd_gammaLognConv_pdf(y,param1,param2,dx)

k = param1(1);
t = param1(2);
mu = param2(1);
sigma = param2(2);

g =  @(x,k,t) gampdf(x,k,t);
l = @(x,mu,sigma) lognpdf(x,mu,sigma);

z = zeros(1,numel(y));
for i=1:numel(y)
    x=dx:dx:y(i)-dx;
    gy = g(x,k,t);
    gy(gy == Inf) = 0;
    ly = l(y(i)-x,mu,sigma);
    z(i) = trapz(x,gy.*ly);
end
