function MEmoveFile = nd_runCellTracker(info,side)

expDirectory = info.expDirectory;
rotatedDir = info.rotatedDir;
scDir = info.scDir;
p = info.position;
jarDir = info.jarDir;
ijDir = info.ijDir;
display = info.javaDisplay;
javaOption = info.javaOption;
macroFile = info.trackerMacroFile;

MEmoveFile = [];

arg = fullfile(expDirectory, rotatedDir,sprintf('pos%d_%s',p,side));
macroCmd = sprintf('%s java %s -jar "%s" -ijpath "%s" -batch "%s" "%s"',display,javaOption,jarDir,ijDir,macroFile,arg);
system(macroCmd);

mkdir(fullfile(expDirectory,rotatedDir,sprintf('pos%d_%s',p,side)));
try
    movefile(fullfile(expDirectory,rotatedDir,sprintf('pos%d_%s',p,side),'out*'),fullfile(expDirectory,scDir,sprintf('pos%d_%s',p,side),'.'),'f');
catch MEmoveFile
    delete(fullfile(expDirectory,scDir,sprintf('pos%d_%s',p,side),'out*'));
    movefile(fullfile(expDirectory,rotatedDir,sprintf('pos%d_%s',p,side),'out*'),fullfile(expDirectory,scDir,sprintf('pos%d_%s',p,side),'.'),'f');
end
    