#!/bin/bash

# $1 -> folder place
# $2 -> startPos
# $3 -> endPos

if [ $# -ne 3 ]
then
	echo "Enter number of positions!"
else
	directory=$1 
	startPos=$2
	endPos=$3
	echo "Sorting position "$startPos" to "$endPos" ..."

	for ((pos=startPos; pos<=endPos; pos++))
	do
	
		cp $directory/pos$pos/dia/* $directory/
		cp $directory/pos$pos/epi/* $directory/
		
		echo "pos"$pos" processed!"
		
	done
fi
