#!/bin/bash

if [ $# -ne 5 ]
then
	echo "Enter root, experiment, output folder, startPos and endPos !"
else
	root=$1
	expName=$2
	analysis=$3
	startPos=$4
	endPos=$5

	for (( a=startPos; a <=endPos ; a=a+1))
		do
			perl -p -e s#replaceMain#$root#g < mainInput60f > pipe.$expName.$a
			perl -p -i -e s#replaceExp#$expName#g pipe.$expName.$a
			perl -p -i -e s#replaceSC#$analysis#g pipe.$expName.$a
			perl -p -i -e s#replacePos#$a#g pipe.$expName.$a
			perl -pe s#inputfile#pipe.$expName.$a#g  < pbsRun > run.$expName.$a
			perl -p -i -e s#outputfile#out.$expName.$a.log#g  run.$expName.$a
			qsub run.$expName.$a
		done
fi
