function error = nd_fftConvFit9(p,normAF,sig,Ts,Tstart)

% nd_fftConvFit(ab,x,y)
% ab -> a and b parameter of gamma function to fit


a = p(1);
b = p(2);

sMax = max(sig);
vMax = 1.5*sMax;
%x = 0:Ts:vMax;
x = Tstart:Ts:vMax;

% non-parametric density function to sig
ySig = ksdensity(sig,x);       
y = gampdf(x,a,b);
fitSig = real(ifft(fft(normAF).*fft(y)));
%error = norm(fitSig - ySig,1); % abs error
error = norm(fitSig - ySig,2); % square order


% 
% figure(5), clf, hold on;
% plot(x,ySig,'b');
% plot(x,normAF,'r');
% plot(x,y,'g');
% plot(x,fitSig,'m:');
