function z = nd_gamma2Conv(y,param1,param2,dx)

k1 = param1(1);
t1 = param1(2);
k2 = param2(1);
t2 = param2(2);

g = @(x,k,t) x.^(k-1).*exp(-x/t)/(t^k*gamma(k));
gg = @(x,y,k,t,mu,sigma) g(x,k1,t1).*g(y-x,k2,t2);

z = zeros(1,numel(y));
for i=1:numel(y)
    x=dx:dx:y(i);
    z(i) = trapz(x,gg(x,y(i),k1,t1,k2,t2));
end
